﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Enums
{
    /// <summary>
    /// 团组流程
    /// </summary>
    public enum GrpSchedulePrimaryStepEnum
    {
        /// <summary>
        /// 确认出团
        /// </summary>
        [Description("确认出团")]
        Confirm = 1,

        /// <summary>
        /// 经费预算
        /// </summary>
        [Description("经费预算")]
        Budget = 2,

        /// <summary>
        /// 市场部人员对接反馈
        /// </summary>
        [Description("市场部人员对接反馈")]
        Feedback = 3,

        /// <summary>
        /// 报批流程
        /// </summary>
        [Description("报批流程")]
        Puote = 4,

        /// <summary>
        /// 护照签证
        /// </summary>
        [Description("护照签证")]
        Visa = 5,

        /// <summary>
        /// 业务流程
        /// </summary>
        [Description("业务操作")]
        Business = 6,

        /// <summary>
        /// 费用审批
        /// </summary>
        [Description("费用审批")]
        CostAudit = 7,

        /// <summary>
        /// 付款给供应商
        /// </summary>
        [Description("付款给供应商")]
        Pay = 8,

        /// <summary>
        /// 出行事项会议
        /// </summary>
        [Description("出行事项会议")]
        Training = 9,

        /// <summary>
        /// 送机
        /// </summary>
        [Description("送机")]
        DropOff = 10,

        /// <summary>
        /// 接机
        /// </summary>
        [Description("接机")]
        PickUp = 11,

        /// <summary>
        /// 收款
        /// </summary>
        [Description("收款")]
        Collect = 12,

        /// <summary>
        /// 团组完成
        /// </summary>
        [Description("团组完成")]
        Finish = 13,

        /// <summary>
        /// 团组取消
        /// </summary>
        [Description("团组取消")]
        Cancel = 14,
    }
}
